/********** Template CSS **********/
:root {
    --primary: #240aa9;
    --secondary: #555555;
    --light: #F1F3FA;
    --dark: #1C2035;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

.fw-medium {
    font-weight: 500;
}
.headcolor{
    color: var(--primary);
}

/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
    color: var(--light);
}

.btn-secondary,
.btn-outline-secondary:hover {
    color: var(--dark);
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}



/*** Navbar ***/
.sticky-top {
    top: -100px;
    transition: .5s;
}
.navcolor{
    background-color:#240aa9 !important
}
.navbar .navbar-nav .nav-link {
    margin-right: 35px;
    padding: 25px 0;
    color: white;
    font-size: 18px;
    font-weight: 500;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
   color: red;
   font-weight: 600;

}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link  {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        margin-top: 15px;
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}
@media (max-width: 750px) {
    .navcolor{
        background-color:white !important
    }
    .navbar .navbar-nav .nav-link {
        color:rgb(5,5,5);
}
}

/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    background: rgba(0, 0, 0, .5);
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 3.5rem;
    background-color: var(--primary);
    border: 15px solid var(--primary);
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 450px;
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 3.5rem;
    background-color: transparent;
    border: 15px solid transparent;
}
}

.page-header {
    background: linear-gradient(rgba(0, 0, 0, .1), rgba(0, 0, 0, .1)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-size: 18px;
    color: var(--light);
}


/*** Features ***/
.feature-row {
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
}

.feature-item {
    border-color: rgba(0, 0, 0, .03) !important;
}


/*** About ***/
.about {
    background: linear-gradient(rgba(0, 0, 0, .1), rgba(0, 0, 0, .1)), url(../img/about.jpg) left center no-repeat;
    background-size: cover;
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 36px;
    height: 46px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: var(--primary);
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 90px;
    height: 90px;
    background: var(--primary);
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 90px;
    height: 90px;
    background: var(--primary);
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: 3px;
    border-left: 30px solid #FFFFFF;
    border-top: 18px solid transparent;
    border-bottom: 18px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}
@media (max-width:500px) {
    .visionpara{
        display: none;
    }
}
.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}

/*--------------------------------------------------------------
# Why Choose Us Section
--------------------------------------------------------------*/
.why-us {
    padding-bottom: 80;
  }
  
  .why-us .img-bg {
    min-height: 500px;
    background-size: cover;
  }
  
  .why-us .slides {
    background-color: #f7f9fc;
  }
  
  .why-us h3 {
    font-size: 24px;
    font-weight: 700;
    color: var(--color-secondary);
  }
  
  .why-us h4 {
    font-size: 18px;
    font-weight: 400;
    color: #29486a;
    font-family: var(--font-secondary);
  }
  
  .why-us .swiper {
    margin: 140px 140px 120px 140px;
    overflow: hidden;
  }
  
  .why-us .swiper-button-prev:after,
  .why-us .swiper-button-next:after {
    font-size: 24px;
    color: var(--color-secondary);
  }
  
  .why-us .swiper-button-prev {
    left: 80px;
  }
  
  .why-us .swiper-button-next {
    right: 80px;
  }
  
  .why-us .swiper-pagination {
    margin-top: 30px;
    position: relative;
  }
  
  .why-us .swiper-pagination .swiper-pagination-bullet {
    background-color: var(--color-secondary);
  }
  
  .why-us .swiper-pagination .swiper-pagination-bullet-active {
    background-color: var(--color-primary);
  }
  
  @media (max-width: 1200px) {
    .why-us .swiper {
      margin: 60px 60px 40px 60px;
    }
  
    .why-us .swiper-button-prev,
    .why-us .swiper-button-next {
      display: none;
    }
  }
  
  @media (max-width: 575px) {
    .why-us .swiper {
      margin: 40px 40px 20px 40px;
    }
  }
  
  .page-about .why-us {
    padding: 0 0 80px 0;
  }

  /*--------------------------------------------------------------
# Services Section
--------------------------------------------------------------*/
.services .img {
    border-radius: 8px;
    overflow: hidden;
  }
  
  .services .img img {
    transition: 0.6s;
  }
  .services .btnser{
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 14px 32px;
    border-radius: 5px;
    transition: 0.5s;
    line-height: 1;
    margin: 10px;
    color: #fff;
    background:#4761ff;
    -webkit-animation-delay: 0.8s;
    animation-delay: 0.8s;
  }
  .services .details {
    padding: 10px 10px 10px 10px;
    margin: -180px 30px 0 30px;
    transition: all ease-in-out 0.3s;
    background: rgb(170, 77, 77);
    position: relative;
    background:white;
    backdrop-filter: blur(20px);
    text-align: center;
    border-radius: 8px;
    box-shadow: 0px 0 25px rgba(var(--color-black-rgb), 0.1);
  }
  
  .services .details .icon {
    margin: 0;
    width: 72px;
    height: 72px;
    background: blue;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    color: blue;
    font-size: 28px;
    transition: ease-in-out 0.3s;
    position: absolute;
    top: -36px;
    left: calc(50% - 36px);
    border: 6px solid black;
  }
  
  .services .details h3 {
    color: blue;
    font-weight: 700;
    margin: 1px 0 5px 0;
    font-size: 22px;
    transition: ease-in-out 0.3s;
  }
  
  .services .details p {
    line-height: 24px;
    font-size: 14px;
    margin-bottom: 0;
    text-align: justify;
  }
  .services .details li {
    line-height: 24px;
    font-size: 14px;
    margin-bottom: 0;
    text-align: justify;
  }
  .services .service-item:hover .details h3 {
    color: black;;
  }
  
  .services .service-item:hover .details .icon {
    background: white;
    border: 2px solid blue;;
  }
  
  .services .service-item:hover .details .icon i {
    color: blue;
  }
  
  .services .service-item:hover .img img {
    transform: scale(1.2);
  }
  .services .btn-read {
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 14px 32px;
    border-radius: 5px;
    transition: 0.5s;
    line-height: 1;
    margin: 10px;
    color: #fff;
    background: #01b1d7;
    -webkit-animation-delay: 0.8s;
    animation-delay: 0.8s;
  }
  
  
  .services .content h3 {
    font-weight: 400;
    font-size: 34px;
    color: var(--color-secondary);
  }
  
  .services .content h4 {
    font-size: 20px;
    font-weight: 700;
    margin-top: 5px;
  }
  
  .services .content p {
    font-size: 15px;
    color: var(--color-gray);
  }
  
  .services .img {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    min-height: 400px;
  }
  
  .services .accordion-item {
    border: 0;
    margin-top: 5px;
    box-shadow: 0px 5px 25px 0px rgba(var(--color-black), 0.06);
  }
  
  .services .accordion-collapse {
    border: 0;
  }
  
  .services .accordion-button {
    padding: 10px 10px 10px 10px;
    font-weight: 600;
    border: 0;
    font-size: 18px;
    color: var(--color-default);
    text-align: left;
    background:rgba(var(--color-white-rgb), 0.9);
    box-shadow: none;
    border-radius: 35px;
    /* width: 50px; */
  }
  
  .services .accordion-button:not(.collapsed) {
    color: var(--color-primary);
    border-bottom: 0;
    box-shadow: none;
  }
  
  .services .question-icon {
    position: absolute;
    top: 14px;
    left: 25px;
    font-size: 20px;
    color: var(--color-primary);
  }
  
  .services .accordion-button:after {
    position: absolute;
    right: 15px;
    top: 15px;
    color: var(--color-primary);
  }
  
  .services .accordion-body {
    padding: 0 30px 25px 60px;
    border: 0;
    border-radius: 5px;
    background:red;
    box-shadow: none;
  }
  .services .ulpack li{
    font-size: 18px;
  }
/*** S
ervice ***/
.service-item .service-text {
    position: relative;
    width: 100%;
    top: 0;
    left: 0;
    text-align: center;
    background: #FFFFFF;
    box-shadow: 0 0 45px rgba(0, 0, 0, .06);
    transition: .5s;
    z-index: 2;
}

.service-item:hover .service-text {
    top: -1.5rem;
}

.service-item .service-text h5 {
    transition: .5s;
}

.service-item:hover .service-text h5 {
    color: var(--primary);
}

.service-item .service-btn {
    position: absolute;
    width: 80%;
    height: 3rem;
    left: 10%;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #FFFFFF;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
    transition: .5s;
    z-index: 1;
}

.service-item:hover .service-btn {
    bottom: -1.5rem;
}


/*** Project ***/
.project-item {
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
}

.project-item .project-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .5);
    opacity: 0;
    padding-top: 60px;
    transition: .5s;
}

.project-item:hover .project-overlay {
    opacity: 1;
    padding-top: 0;
}

.project-carousel .owl-nav {
    position: absolute;
    top: -100px;
    right: 0;
    display: flex;
}

.project-carousel .owl-nav .owl-prev,
.project-carousel .owl-nav .owl-next {
    margin-left: 15px;
    width: 55px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--secondary);
    border-radius: 55px;
    box-shadow: 0 0 45px rgba(0, 0, 0, .15);
    font-size: 25px;
    transition: .5s;
}

.project-carousel .owl-nav .owl-prev:hover,
.project-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    color: #FFFFFF;
}

@media (max-width: 768px) {
    .project-carousel .owl-nav {
        top: -70px;
        right: auto;
        left: 50%;
        transform: translateX(-50%);
    }

    .project-carousel .owl-nav .owl-prev,
    .project-carousel .owl-nav .owl-next {
        margin: 0 7px;
        width: 45px;
        height: 45px;
        font-size: 20px;
    }
}


/*** Team ***/
.team-item {
    position: relative;
    text-align: center;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
}

.team-item .team-social {
    position: absolute;
    padding: 0;
    top: 15px;
    left: 0;
    overflow: hidden;
}

.team-item .team-social li {
    list-style-type: none;
    margin-bottom: 10px;
    margin-left: -50px;
    opacity: 0;
    transition: .5s;
}

.team-item:hover .team-social li {
    margin-left: 15px;
    opacity: 1;
}

.team-item .team-social li .btn {
    background: #FFFFFF;
    color: var(--primary);
    border-radius: 40px;
    transition: .5s;
}

.team-item .team-social li .btn:hover {
    color: #FFFFFF;
    background: var(--primary);
}

.team-item .team-social li:nth-child(1) {
    transition-delay: .1s;
}

.team-item .team-social li:nth-child(2) {
    transition-delay: .2s;
}

.team-item .team-social li:nth-child(3) {
    transition-delay: .3s;
}

.team-item .team-social li:nth-child(4) {
    transition-delay: .4s;
}

.team-item .team-social li:nth-child(5) {
    transition-delay: .5s;
}


/*** Testimonial ***/
.testimonial-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
    transition: .5s;
}

.owl-item .testimonial-item,
.testimonial-item * {
    transition: .5s;
}

.owl-item.center .testimonial-item,
.testimonial-item:hover {
    background: var(--primary);
}

.owl-item.center .testimonial-item *,
.testimonial-item:hover * {
    color: #FFFFFF !important;
}

.testimonial-item img {
    width: 100px !important;
    height: 100px !important;
    border-radius: 100px;
}

.testimonial-carousel .owl-nav {
    position: absolute;
    top: -100px;
    right: 0;
    display: flex;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    margin-left: 15px;
    width: 55px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--secondary);
    border-radius: 55px;
    box-shadow: 0 0 45px rgba(0, 0, 0, .15);
    font-size: 25px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    color: #FFFFFF;
}

@media (max-width: 768px) {
    .testimonial-carousel .owl-nav {
        top: -70px;
        right: auto;
        left: 50%;
        transform: translateX(-50%);
    }

    .testimonial-carousel .owl-nav .owl-prev,
    .testimonial-carousel .owl-nav .owl-next {
        margin: 0 7px;
        width: 45px;
        height: 45px;
        font-size: 20px;
    }
}


/*** Footer ***/
.footer {
    color: #B0B9AE;
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #B0B9AE;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    color: #B0B9AE;
}

.copyright {
    background: #111111;
}

.copyright a:hover {
    color: var(--primary) !important;
}

.navbar .megamenu{ padding: 1rem; }
/* ============ desktop view ============ */
@media all and (min-width: 992px) {
	
	.navbar .has-megamenu{position:static!important;}
	.navbar .megamenu{left:0; right:0; width:100%; margin-top:0;  }
	
}	
/* ============ desktop view .end// ============ */


/* ============ mobile view ============ */
@media(max-width: 991px){
	.navbar.fixed-top .navbar-collapse, .navbar.sticky-top .navbar-collapse{
		overflow-y: auto;
	    max-height: 90vh;
	    margin-top:10px;
	}
}
/* ============ mobile view .end// ============ */

/* CSS to hide the honeypot field visually */
.extra-details {
    position: absolute !important;
    height: 1px; width: 1px;
    overflow: hidden;
    clip: rect(1px, 1px, 1px, 1px);
    white-space: nowrap;
    /* Alternative: */
    /* left: -9999px; */
    /* top: auto; */
    margin: -1px;
    padding: 0;
    border: 0;
}